//
// Quartier.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


open class Quartier: JSONEncodable {
    public var id: String?
    public var nom: String?
    public var alertes: [Alerte]?
    public var marie: String?
    public var tous: Bool?

    public init() {}

    // MARK: JSONEncodable
    open func encodeToJSON() -> Any {
        var nillableDictionary = [String:Any?]()
        nillableDictionary["id"] = self.id
        nillableDictionary["nom"] = self.nom
        nillableDictionary["alertes"] = self.alertes?.encodeToJSON()
        nillableDictionary["marie"] = self.marie
        nillableDictionary["tous"] = self.tous
        let dictionary: [String:Any] = APIHelper.rejectNil(nillableDictionary) ?? [:]
        return dictionary
    }
}
